%global tixmajor 8.4

Summary:   A set of extension widgets for Tk
Name:      tix
Version:   %{tixmajor}.3
Release:   5%{?dist}
License:   TCL
URL:       http://tix.sourceforge.net/
Source0:   http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/Tix%{version}-src.tar.gz

Patch3000: tix-8.4.2-link.patch
Patch3001: tix-8.4.3-tcl86.patch
Patch3002: tix-8.4.3-covscan-fixes.patch

BuildRequires: make tcl-devel tk-devel libX11-devel gcc tcl-rpm-macros
Requires: tcl(abi) = 8.6
Requires: tcl tk
Requires: /etc/ld.so.conf.d

%description
Tix, the Tk Interface eXtension, is a powerful set of user interface components that expands the
capabilities of your Tcl/Tk and Python applications. Using Tix together with Tk will greatly enhance
the appearance and functionality of your application.

%package devel
Summary: Tk Interface eXtension development files
Requires: tix = %{version}-%{release}

%description devel
Tix, the Tk Interface eXtension, is a powerful set of user interface components that expands the
capabilities of your Tcl/Tk and Python applications. Using Tix together with Tk will greatly enhance
the appearance and functionality of your application.

This package contains the tix development files needed for building tix applications.

%prep
%autosetup -n Tix%{version} -p1

chmod ugo-x docs/html/gif/tix/*.png docs/html/gif/tix/*.gif \
  docs/html/gif/tix/*/*.gif

sed -i 's/\r//' docs/Release-8.4.0.txt

%build
%configure \
    --with-tcl=%{_libdir} \
    --with-tk=%{_libdir} \
    --libdir=%{_tcl_sitearch} \
    %{nil}

%make_build all PKG_LIB_FILE=libTix.so

%install
%make_install PKG_LIB_FILE=libTix.so

mv %{buildroot}%{_tcl_sitearch}/Tix%{version}/libTix.so \
    %{buildroot}%{_tcl_sitearch}

ln -sf ../libTix.so \
    %{buildroot}%{_tcl_sitearch}/Tix%{version}/libTix.so
ln -sf tcl%{_tcl_version}/Tix%{version}/libTix.so %{buildroot}%{_libdir}/libTix.so
ln -sf tcl%{_tcl_version}/Tix%{version}/libTix.so %{buildroot}%{_libdir}/libtix.so

mkdir -p %{buildroot}%{_tcl_sitelib}/Tix%{tixmajor}
cp -a demos %{buildroot}%{_tcl_sitelib}/Tix%{tixmajor}

install -Dm 0644 generic/tix.h %{buildroot}%{_includedir}/tix.h
install -D man/*.n -t %{buildroot}%{_mandir}/mann

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_tcl_sitearch}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tix-%{_arch}.conf

rm -rf docs/pdf
rm -f %{buildroot}%{_libdir}/Tix%{tixmajor}/README.txt
rm -f %{buildroot}%{_libdir}/Tix%{tixmajor}/license.terms

%files
%license license.terms
%doc *.txt *.html
%{_tcl_sitearch}/libTix.so
%{_tcl_sitearch}/Tix%{version}
%{_sysconfdir}/ld.so.conf.d/*

%files devel
%doc docs/*
%doc %{_tcl_sitelib}/Tix%{tixmajor}
%{_includedir}/tix.h
%{_libdir}/libtix.so
%{_libdir}/libTix.so
%{_mandir}/mann/*.n*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 cunshunxia <cunshunxia@tencent.com> - 8.4.3-4
- Rebuilt for tcl 8.6.13

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 8.4.3-1
- initial build
